Metadata section report uncorrect dimension of archive for 3D shapefiles
Status: Open

Priority: Low

Assignee:

Category: Vectors

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13006

Description

In the property -> metadata section

for shapefiles archive was reported always the 2D version of the geometry.

Example:

for a shapefile of 3D arcs shapefile,

in the metadata section the geometry reported is always Line not Line3D.

History

#1 - 2010-08-18 05:46 PM - Giuseppe Sucameli

I attached a patch. 

It fixes the issue for vector layers by appending "3D" to the geometry type displayed in Layer->Properies->Metadata.

I tried it with a 3D [[PostGIS]] layer too, but seems the patch doesn't work as expected in that case.

#2 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#6 - 2017-05-01 02:27 PM - Regis Haubourg

- Description updated

Still persists in QGIS 2.99

#7 - 2017-09-08 01:35 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

Files

patch_for_ticket_2946.diff 691 Bytes 2010-08-18 Giuseppe Sucameli
